# $Id: perl-No-Die.spec 3835 2005-12-22 22:10:14Z dries $
# Authority: dries
# Upstream: Jos Boumans <kane$cpan,org>

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name No-Die

Summary: Don't let modules die
Name: perl-No-Die
Version: 0.02
Release: 1.rf
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/No-Die/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://search.cpan.org/CPAN/authors/id/K/KA/KANE/No-Die-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl

%description
Tired of using eval as a straightjacket on modules that have as 
much interest in life as chronically depressed lemmings? Now 
there's a 24 hour suicide watch in L<No::Die>. Only modules you 
permit to die may - the rest will just have to live with it. Their
distress wil be noted in an error variable and undef will be 
returned. The ultimate decision of life and death will be left to 
your application.  

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -rf %{buildroot}%{perl_archlib}/perllocal.pod %{buildroot}%{perl_vendorarch}/auto/*/*/.packlist

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc README
%doc %{_mandir}/man3/*
%{perl_vendorlib}/No/Die.pm

%changelog
* Wed Dec 21 2005 Dries Verachtert <dries@ulyssis.org> - 0.02-1 - 3835/dries
- Initial package.
